Documentation

​
​

Development

User Acquisition

Monetization

Industry

Vivox Safe Text

Vivox Safe Text

Vivox
​
​
Vivox Safe Text
  • Introduction to Safe Text
  • Get started
Capture text sessions
  • Review text sessions
  • Collect evidence
  • Context analysis of text sessions
  • Text evidence management
    • Evidence report API
    • Evidence report HTTP request
    • Evidence report HTTP response examples
    • Player evidence report API
    • Play evidence report HTTP request
    • Player evidence report HTTP response
  • Settings
Review incidents
  • Manage incidents
  • Automate moderation responses
  • Filter and censor text messages
Review player behaviour
  • Player list
  • Review player history
  • Player incidents
  • Review community health
Reference
  • Offenses
  • Context analysis glossary
  • Privacy
  1. Introduction to Vivox Safe Text

Evidence report API

Use the Evidence report API to retrieve select messages from a channel or direct message conversation.
Read time 2 minutes
Last updated 8 months ago

Use the evidence report API to retrieve select messages from the server.
The following is an example of how a request to text evidence management is formatted:
curl "https://services.api.unity.com/vivox/text-evidence-management/v1/organizations/:yourOrgID/projects/:yourProjectID/text-evidence-report?target_uri=add-your-vivox-channel-uri" -u service-acct-username:service-account-password
The
target_uri
parameter is required. It maps to a Vivox channel ID or a user ID for a direct message request. A direct message request must have a
target_uri
and a
sender_uri
where both values are user URIs. The order of the
target_uri
and the
sender_uri
does not matter because direct message requests return the entire conversation between two users.
The request accepts the following optional query parameters:

Parameter

Description

sender_uri
A Vivox user URI, use it to filter the response by message sender. Note that this value is required for direct message requests.
target_uri
The URI of the message receiving entity (channel or user).
start_ts
All messages reported at this time stamp and after this time stamp in Unix time format.
end_ts
All messages reported before and including this time stamp in Unix time format.
as_file
True or false value to return the response as a file.
file_type
If as_file is true, specify the file type. The default is CSV.
num_messages
The number of messages to return. The maximum value of 500 messages is returned per request query if this number is not provided.
Note
A request with a specified number of messages returns a
next
field containing the Unix timestamp pointing to the next message in the results if there are more messages to return.
Regardless of the number of messages that exist; at most 500 messages (message_ids) are returned per query. If more than 500 messages are wanted, you can continue to send new queries for subsequent message results until no more results exist.
To retrieve the next page of the message results, use the
next
value provided in the results as the
start_ts
parameter in your next query. A
next
value of null indicates that there are no more messages to return.

Copyright © 2026 Unity Technologies
LegalPrivacy PolicyCookiesDocumentation Terms of UseDo Not Sell or Share My Personal InformationYour Privacy Choices (Cookie Settings)

"Unity", Unity logos, and other Unity trademarks are trademarks or registered trademarks of Unity Technologies or its affiliates in the U.S and elsewhere (more info here). Other names or brands are trademarks of their respective owners.

Some pages are machine-translated for convenience, and may contain inaccuracies. In the event of conflicting information, the English version is authoritative.


    Report a problem with this page